# -*- coding: utf-8 -*-
# flake8: noqa: F401

import nest_asyncio

nest_asyncio.apply()  # to fix asyncio.run into jupyter

from .types import (
    ProviderFunction,
    ServiceFunction,
    AnnotatorFunction,
    ServiceCondition,
    WrapperFunction,
    ClearFunction,
    ConditionState,
    ServiceState,
    FrameworkKeys,
    ACTOR,
    CallbackType,
)

from .provider import PollingProvider, CallbackProvider, CLIProvider
from .wrapper import Wrapper, WrapperType
from .service import Service
from .group import ServiceGroup
from .pipeline import Pipeline


__author__ = "Denis Kuznetsov"
__email__ = "kuznetsov.den.p@gmail.com"
__version__ = "0.2.0"
